Update a template

View as Markdown

Partially updates a template owned by the authenticated owner.

Fields omitted from the request remain unchanged. Optional fields may be set to null to clear them, except for name.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

template_idstringRequired

Request

This endpoint expects an object.
namestringOptional>=1 character
descriptionstring or nullOptional
systemstring or nullOptional
messageslist of objects or nullOptional
modelstring or nullOptional
paramsobject or nullOptional
variableslist of strings or nullOptional

Response

Updated template.
idstringformat: "uuid"
namestring
is_globalboolean
created_atdatetime
updated_atdatetime
ownerstring or null
descriptionstring or null
systemstring or null
messageslist of objects or null
modelstring or null
paramsobject or null
variableslist of strings or null

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error